package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 订单评价对象 doumu_evaluate
 * 
 * @author boman
 * @date 2024-01-22
 */
public class DoumuEvaluate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long evaluateId;

    /** 痘姆古陶主表id（doumu_product_info） */
    @Excel(name = "痘姆古陶主表id", readConverterExp = "d=oumu_product_info")
    private Long productId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNumber;

    /** 综合评价 1：差评，2：中评，3：好评 */
    @Excel(name = "1：差评，2：中评，3：好评")
    private String synthesisEvaluate;

    /** 商品评价 1:1星，2:2星，3:3星，4:4星，5:5星 */
    @Excel(name = "1:1星，2:2星，3:3星，4:4星，5:5星")
    private String productEvaluate;

    /** 服务态度 1:1星，2:2星，3:3星，4:4星，5:5星 */
    @Excel(name = "1:1星，2:2星，3:3星，4:4星，5:5星")
    private String serviceEvaluate;

    /** 物流服务 1:1星，2:2星，3:3星，4:4星，5:5星 */
    @Excel(name = "1:1星，2:2星，3:3星，4:4星，5:5星")
    private String flowEvaluate;


    private String beginTime;
    private String endTime;


    private List<DoumuProductFj> fjList;


    public List<DoumuProductFj> getFjList() {
        return fjList;
    }

    public void setFjList(List<DoumuProductFj> fjList) {
        this.fjList = fjList;
    }

    public void setEvaluateId(Long evaluateId)
    {
        this.evaluateId = evaluateId;
    }

    public Long getEvaluateId() 
    {
        return evaluateId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setSynthesisEvaluate(String synthesisEvaluate) 
    {
        this.synthesisEvaluate = synthesisEvaluate;
    }

    public String getSynthesisEvaluate() 
    {
        return synthesisEvaluate;
    }
    public void setProductEvaluate(String productEvaluate) 
    {
        this.productEvaluate = productEvaluate;
    }

    public String getProductEvaluate() 
    {
        return productEvaluate;
    }
    public void setServiceEvaluate(String serviceEvaluate) 
    {
        this.serviceEvaluate = serviceEvaluate;
    }

    public String getServiceEvaluate() 
    {
        return serviceEvaluate;
    }
    public void setFlowEvaluate(String flowEvaluate) 
    {
        this.flowEvaluate = flowEvaluate;
    }

    public String getFlowEvaluate() 
    {
        return flowEvaluate;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("evaluateId", getEvaluateId())
            .append("productId", getProductId())
            .append("orderNumber", getOrderNumber())
            .append("synthesisEvaluate", getSynthesisEvaluate())
            .append("productEvaluate", getProductEvaluate())
            .append("serviceEvaluate", getServiceEvaluate())
            .append("flowEvaluate", getFlowEvaluate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
